Subject: Re: [PATCH] dev_change_name: ignore changes to same name

From: Rick Jones <[email-masked]>
Date: Fri, 26 Oct 2007 10:51:13 -0700

David Miller wrote:
> From: Stephen Hemminger <[email-masked]>
> Date: Wed, 24 Oct 2007 06:44:45 -0700
> 
> 
>>Prevent error/backtrace from dev_rename() when changing
>>name of network device to the same name. This is a common
>>situation with udev and other scripts that bind addr to device.
>>
>>Signed-off-by: Stephen Hemminger <[email-masked]>
> 
> 
> Fair enough, applied.

Very timely!  I'd just built/booted a 2.6.24-rc1 kernel yesterday and it spent 
quite a  long time with stack traces (I have 16 interfaces on the system and a 
9600 baud console...I can only imagine what it would have been like on a big 
system...).  With the patch applied to that tree, it is now down to only three 
or so stack traces related to renames that were not there on 2.6.23.mumble.  Not 
sure if that warrants an acked-by but feel free if it makes sense.  (I'm still 
really fuzzy on those, even after reading SubmittingPatches)

rick jones